# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos.impl
Class TagDataImpl

    java.lang.Object
      com.google.gdata.data.photos.impl.GphotoDataImpl
          com.google.gdata.data.photos.impl.TagDataImpl

All Implemented Interfaces:
  Extensible, GphotoData, TagData

    public class TagDataImpl

extends GphotoDataImpl
implements TagData

Implementation class for tag data objects. This class takes an `ExtensionPoint` and uses it to provide all of the methods that `TagData` specifies. These methods are handled by using extension classes to retrieve or set extensions of the appropriate type.

Field Summary

Fields inherited from interface com.google.gdata.data.photos.TagData
`KIND, TAG_CATEGORY, TAG_KIND`

Constructor Summary
`TagDataImpl(ExtensionPoint extensionPoint)` Construct a new implementation of TagGphotoData with the given extension point as the backing storage for data.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an Extensible within the target extension profile.
`java.lang.Integer` `getWeight()` The weight of the tag is the number of times the tag appears in the collection of tags currently being viewed.
`void` `setWeight(java.lang.Integer weight)` Set the weight of the tag.

Methods inherited from class com.google.gdata.data.photos.impl.GphotoDataImpl
`addExtension, addRepeatingExtension, declare, getExtension, getGphotoId, getRepeatingExtension, getSimpleValue, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setGphotoId, setGphotoId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.photos.GphotoData
`getGphotoId, setGphotoId, setGphotoId`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Constructor Detail

### TagDataImpl

    public TagDataImpl(ExtensionPoint extensionPoint)

  Construct a new implementation of TagGphotoData with the given extension point as the backing storage for data.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from interface: `Extensible`
  Declares the set of expected Extension types for an Extensible within the target extension profile. Forwards to `ExtensionPoint.declareExtensions(ExtensionProfile)`.

  Specified by:
    `declareExtensions` in interface `Extensible`
  Overrides:
    `declareExtensions` in class `GphotoDataImpl`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getWeight

    public java.lang.Integer getWeight()

  Description copied from interface: `TagData`
  The weight of the tag is the number of times the tag appears in the collection of tags currently being viewed. This is a server-provided context sensitive measure of how often the tag is used, and can be used to implement tag-cloud like views.

  Specified by:
    `getWeight` in interface `TagData`
  Returns:
    the weight of the tag, or null if it doesn't have one.

### setWeight

    public void setWeight(java.lang.Integer weight)

  Description copied from interface: `TagData`
  Set the weight of the tag. Used by the server, this field is read only on the client.

  Specified by:
    `setWeight` in interface `TagData`